Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWarpLens Class Reference

`#include <vtkWarpLens.h>`

Inheritance diagram for vtkWarpLens:

[legend]
Collaboration diagram for vtkWarpLens:

[legend]
List of all members.

## Detailed Description

deform geometry by applying lens distortion

Date:
  2002/01/22 15:29:55

Revision:
  1.23

vtkWarpLens is a filter that modifies point coordinates by moving in accord with a lens distortion model.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (46%)
  - Lorensen, Bill (42%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkWarpLens.cxx)`
  - .`h` (`/Graphics/vtkWarpLens.h)`

Tests:
  vtkWarpLens (Tests)

Definition at line 45 of file vtkWarpLens.h.

## Public Types
typedef vtkPointSetToPointSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetKappa (float kappa)
float | GetKappa ()
void | SetCenter (float centerX, float centerY)
float * | GetCenter ()
virtual void | SetPrincipalPoint (float, float)
void | SetPrincipalPoint (float[2])
virtual float * | GetPrincipalPoint ()
virtual void | GetPrincipalPoint (float data[2])
virtual void | SetK1 (float)
virtual float | GetK1 ()
virtual void | SetK2 (float)
virtual float | GetK2 ()
virtual void | SetP1 (float)
virtual float | GetP1 ()
virtual void | SetP2 (float)
virtual float | GetP2 ()
virtual void | SetFormatWidth (float)
virtual float | GetFormatWidth ()
virtual void | SetFormatHeight (float)
virtual float | GetFormatHeight ()
virtual void | SetImageWidth (int)
virtual int | GetImageWidth ()
virtual void | SetImageHeight (int)
virtual int | GetImageHeight ()
## Static Public Methods
vtkWarpLens * | New ()
int | IsTypeOf (const char *type)
vtkWarpLens * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWarpLens ()
| ~vtkWarpLens ()
void | Execute ()
## Protected Attributes
float | PrincipalPoint [2]
float | K1
float | K2
float | P1
float | P2
float | FormatWidth
float | FormatHeight
int | ImageWidth
int | ImageHeight

## Member Typedef Documentation

typedef vtkPointSetToPointSetFilter vtkWarpLens::Superclass

| Reimplemented from vtkPointSetToPointSetFilter. Definition at line 49 of file vtkWarpLens.h.

## Constructor & Destructor Documentation

vtkWarpLens::vtkWarpLens | ( |  | ) | `[protected]`

vtkWarpLens::~vtkWarpLens | ( |  | ) | `[inline, protected]`

| Definition at line 107 of file vtkWarpLens.h.

## Member Function Documentation

vtkWarpLens* vtkWarpLens::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWarpLens::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetToPointSetFilter.

int vtkWarpLens::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

virtual int vtkWarpLens::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

vtkWarpLens* vtkWarpLens::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetToPointSetFilter.

void vtkWarpLens::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetToPointSetFilter.

void vtkWarpLens::SetKappa | ( | float | kappa | ) |

| Specify second order symmetric radial lens distortion parameter. This is obsoleted by newer instance variables.

float vtkWarpLens::GetKappa | ( |  | ) |

| Specify second order symmetric radial lens distortion parameter. This is obsoleted by newer instance variables.

void vtkWarpLens::SetCenter | ( | float | centerX,
|  | float | centerY
| ) |

| Specify the center of radial distortion in pixels. This is obsoleted by newer instance variables.

float* vtkWarpLens::GetCenter | ( |  | ) |

| Specify the center of radial distortion in pixels. This is obsoleted by newer instance variables.

virtual void vtkWarpLens::SetPrincipalPoint | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify the calibrated principal point of the camera/lens

void vtkWarpLens::SetPrincipalPoint | ( | float | [2] | ) |

| Specify the calibrated principal point of the camera/lens

virtual float* vtkWarpLens::GetPrincipalPoint | ( |  | ) | `[virtual]`

| Specify the calibrated principal point of the camera/lens

virtual void vtkWarpLens::GetPrincipalPoint | ( | float | data[2] | ) | `[virtual]`

| Specify the calibrated principal point of the camera/lens

virtual void vtkWarpLens::SetK1 | ( | float |  | ) | `[virtual]`

| Specify the symmetric radial distortion parameters for the lens

virtual float vtkWarpLens::GetK1 | ( |  | ) | `[virtual]`

| Specify the symmetric radial distortion parameters for the lens

virtual void vtkWarpLens::SetK2 | ( | float |  | ) | `[virtual]`

| Specify the symmetric radial distortion parameters for the lens

virtual float vtkWarpLens::GetK2 | ( |  | ) | `[virtual]`

| Specify the symmetric radial distortion parameters for the lens

virtual void vtkWarpLens::SetP1 | ( | float |  | ) | `[virtual]`

| Specify the decentering distortion parameters for the lens

virtual float vtkWarpLens::GetP1 | ( |  | ) | `[virtual]`

| Specify the decentering distortion parameters for the lens

virtual void vtkWarpLens::SetP2 | ( | float |  | ) | `[virtual]`

| Specify the decentering distortion parameters for the lens

virtual float vtkWarpLens::GetP2 | ( |  | ) | `[virtual]`

| Specify the decentering distortion parameters for the lens

virtual void vtkWarpLens::SetFormatWidth | ( | float |  | ) | `[virtual]`

| Specify the imager format width / height in mm

virtual float vtkWarpLens::GetFormatWidth | ( |  | ) | `[virtual]`

| Specify the imager format width / height in mm

virtual void vtkWarpLens::SetFormatHeight | ( | float |  | ) | `[virtual]`

| Specify the imager format width / height in mm

virtual float vtkWarpLens::GetFormatHeight | ( |  | ) | `[virtual]`

| Specify the imager format width / height in mm

virtual void vtkWarpLens::SetImageWidth | ( | int |  | ) | `[virtual]`

| Specify the image width / height in pixels

virtual int vtkWarpLens::GetImageWidth | ( |  | ) | `[virtual]`

| Specify the image width / height in pixels

virtual void vtkWarpLens::SetImageHeight | ( | int |  | ) | `[virtual]`

| Specify the image width / height in pixels

virtual int vtkWarpLens::GetImageHeight | ( |  | ) | `[virtual]`

| Specify the image width / height in pixels

void vtkWarpLens::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkWarpLens::PrincipalPoint[2]`[protected]`

| Definition at line 111 of file vtkWarpLens.h.

float vtkWarpLens::K1`[protected]`

| Definition at line 112 of file vtkWarpLens.h.

float vtkWarpLens::K2`[protected]`

| Definition at line 113 of file vtkWarpLens.h.

float vtkWarpLens::P1`[protected]`

| Definition at line 114 of file vtkWarpLens.h.

float vtkWarpLens::P2`[protected]`

| Definition at line 115 of file vtkWarpLens.h.

float vtkWarpLens::FormatWidth`[protected]`

| Definition at line 116 of file vtkWarpLens.h.

float vtkWarpLens::FormatHeight`[protected]`

| Definition at line 117 of file vtkWarpLens.h.

int vtkWarpLens::ImageWidth`[protected]`

| Definition at line 118 of file vtkWarpLens.h.

int vtkWarpLens::ImageHeight`[protected]`

| Definition at line 119 of file vtkWarpLens.h.

The documentation for this class was generated from the following file:

- Graphics/vtkWarpLens.h